6.0.0-git
2021-01-24

[#4285] vcard enhancement - department
Summary vcard enhancement - department
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Enhancement
State Resolved
Priority 1. Low
Owners
Requester martin (at) matuska (dot) org
Created 2006-08-12 (5279 days ago)
Due
Updated 2006-10-29 (5201 days ago)
Assigned
Resolved 2006-10-29 (5201 days ago)
Milestone
Patch No

History
2006-10-29 13:55:22 Jan Schneider Comment #11
State ⇒ Resolved
Reply to this comment
Committed to HEAD and the stable versions. Thanks for the patience.
2006-10-29 13:46:20 Jan Schneider Deleted Original Message
 
2006-10-23 14:37:28 martin (at) matuska (dot) org Comment #10
New Attachment: vcard.cvs.v3.patch Download
Reply to this comment
Here is a patch without the constants (using 0 and 1 instead)


2006-10-20 14:44:22 Jan Schneider Comment #9 Reply to this comment
Unfortunately the patch breaks backward compatibility, sorry that I 
didn't notice that the first time. You introduce constants to the 
framework package that you are going to use in Turba.

I don't think these constants are really necessary, simply use 0 and 1 
instead.
2006-10-20 14:41:05 Jan Schneider Deleted Original Message
 
2006-10-20 14:38:30 Jan Schneider Deleted Original Message
 
2006-10-20 11:28:29 martin (at) matuska (dot) org Comment #8
New Attachment: vcard.cvs.v2.patch
Reply to this comment
Are you going to update the patch?
Here is a patch to today's CVS.
I forgot to include one file in it. Here is an updated one.
2006-10-20 11:24:15 martin (at) matuska (dot) org Comment #7
New Attachment: vcard.cvs.patch
Reply to this comment
Are you going to update the patch?
Here is a patch to today's CVS.
2006-10-10 13:20:42 Jan Schneider Comment #6 Reply to this comment
Are you going to update the patch?
2006-08-24 14:59:10 Jan Schneider Comment #5 Reply to this comment
I had mis-understood the patch and didn't notice that the ADR and N 
cases are now dealt together with the ORG field. The patch looks fine, 
but please provide a patch against CVS HEAD.
2006-08-22 17:36:48 martin (at) matuska (dot) org Comment #4 Reply to this comment
What are these ADR and N changes about? They have nothing to do with
department support. Please updload a fixed patch.
There are no changes to ADR and N. The processing of the ORG attribute 
is modified - it is a multi-value (and not single-value, as processed 
without the patch) attribute separated by semicolons so it has to be 
processed the same way ADR and N are.

ORG is a list seperated by unescaped semicolons with a specific number 
of slots - the VCARD 2.1 specification requires 2 slots, more slots 
are optional.


2006-08-22 16:01:57 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
What are these ADR and N changes about? They have nothing to do with 
department support. Please updload a fixed patch.
2006-08-14 02:54:35 Chuck Hagenbuch Deleted Original Message
 
2006-08-12 23:17:58 martin (at) matuska (dot) org Comment #2
New Attachment: vcard.patch.v2
Reply to this comment
Here is a updated patch, a semicolon was still recorded, if both 
fields were blank
2006-08-12 12:28:02 martin (at) matuska (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ vcard enhancement - department
Queue ⇒ Horde Framework Packages
New Attachment: vcard.patch
Reply to this comment
Attached patch adds organizational unit (department) support for vcard

This is required by the vcard 2.1 specification

Tested -> Vcard export, SyncML with synthesis client

Saved Queries